Bug 1361986 (CVE-2016-5261) - CVE-2016-5261 Mozilla: Integer overflow and memory corruption in WebSocketChannel (MFSA 2016-75, MFSA 2016-86)
Summary: CVE-2016-5261 Mozilla: Integer overflow and memory corruption in WebSocketCha...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5261
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160920,repo...
Depends On:
Blocks: 1360577 1369653
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:33 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:33:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1912 normal SHIPPED_LIVE Critical: firefox security update 2016-09-21 11:47:31 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:33:26 UTC
Security researcher Samuel Groß reported an integer overflow error in WebSockets during data buffering on incoming packets when an allocated buffer is resized incorrectly. This results in the buffer array holding the data being shrunk, instead of grown, resulting in attacker controlled data being written at a known offset from the newly allocated buffer. This results in a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/advisories/mfsa2016-75/
https://www.mozilla.org/security/advisories/mfsa2016-86/


Acknowledgements:

Name: the Mozilla project
Upstream: Samuel Groß

Comment 1 errata-xmlrpc 2016-09-21 07:49:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:1912 https://rhn.redhat.com/errata/RHSA-2016-1912.html


Note You need to log in before you can comment on or make changes to this bug.